Subject: Re: GUI Clients

From: [email-masked]
Date: Tue, 24 Aug 1993 19:34:54 -0700

A lot of the discussion on this thread seems to be focussed on low-level
protocols.  While I agree that images, various communications protocols,
and even (eugh) DOS support might be nice to include, I don't see them as
being *that* important to the fundamental character of a m++.  In fact, a
premature adoption of restrictive standards will cause the user population
to become so fragmented that people will become bound to their client
configuration rather than the VR that interests them.

The phrase that captured my attention is ``text-based virtual reality.'' 
Like a book.  I would like to see formatted text (fonts, character
positioning, maybe even some pictures and movies to help elucidate certain
situations), but the overriding power of this technology is that it is not
like a video game.  The challenge is to make a server that supports rich
display formats, but without restricting anyone to any particular platform.

The object-oriented nature of LambdaMOO seems like a promising way to
support flexible clients; it would be a pity to see a lot of good effort
wasted on dead-end software.

My $0.02...
Steve